const mongoose = require('mongoose');

const userSchema = mongoose.Schema({
	address: {type: String, required:true},
	session: {type: String, required:true},
	blocktime: {type: Number, required:true},
	expiration: {type: Number, required:true, default:0},
	pin: {type: String, required:true},
	validated: {type: Boolean, required:true}
});

module.exports = mongoose.model('User', userSchema);
