import { Inject, Component, OnInit, ViewEncapsulation} from '@angular/core';
import { MatDialog, MatDialogRef, MAT_DIALOG_DATA} from '@angular/material/dialog';

@Component({
	selector: 'app-cancel',
	templateUrl: './cancel.component.html',
	styleUrls: ['./cancel.component.css']
})

export class CancelComponent {

	constructor(
		private dialogRef: MatDialogRef<CancelComponent>
	) {}

	confirm() {
		this.dialogRef.close(true);
	}

	close() {
		this.dialogRef.close(false);
	}
}
